VERSION 5.00
Begin VB.Form dlgMain 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "RegEx-Test"
   ClientHeight    =   1470
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   4080
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1470
   ScaleWidth      =   4080
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton Command3 
      Caption         =   "Match"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   960
      Width           =   1335
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Replace"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   540
      Width           =   1335
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Test"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1335
   End
End
Attribute VB_Name = "dlgMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Command1_Click()
    Dim TestString As String
    
    With New RegExp
        .Pattern = "^http://[a-z]+[-a-z]+(\.[a-z]+)?$"
        .Global = True
        .IgnoreCase = True
        
        TestString = "http://colinschlueter.de"
        
        If .Test(TestString) Then
            Call MsgBox(TestString & " ist eine gltige URL")
        Else
            Call MsgBox(TestString & " ist keine gltige URL")
        End If
    End With
End Sub

Private Sub Command2_Click()
    Dim TestString As String
    
    With New RegExp
        .Pattern = "\s+(\w)"
        .Global = True
        
        TestString = "Ich  wei   nicht, was  soll das " & vbTab & " bedeuten?"
        
        Call MsgBox("Vorher:" & vbCrLf & TestString)
        TestString = .Replace(TestString, " ($1)")
        Call MsgBox("Nachher:" & vbCrLf & TestString)
    End With
End Sub

Private Sub Command3_Click()
    Dim TestString As String
    Dim Matches As MatchCollection
    Dim CurrentMatch As Match
    
    With New RegExp
        .Pattern = "\b([a-z])"
        .Global = True
        
        TestString = "Ich wei nicht, was soll das bedeuten?"
        
        Call MsgBox("Vorher:" & vbCrLf & TestString)
        
        Set Matches = .Execute(TestString)
        
        For Each CurrentMatch In Matches
            Mid$(TestString, CurrentMatch.FirstIndex + 1) = UCase$(CurrentMatch.Value)
        Next CurrentMatch
        
        Call MsgBox("Nachher:" & vbCrLf & TestString)
    End With
End Sub
